Catalog

Manages product catalogs, including adding, updating, and deleting products, as well as categorizing them.

Brand

A brand represents a specific brand or manufacturer associated with a product. Brands help customers identify and differentiate products based on their manufacturer or designer. Each brand typically has a unique identifier and a name. For examples, a clothing platform might have brands such as Nike, Adidas, Gucci, Zara, etc. Brand APIs facilitate access to brand-related data, offering functionalities such as retrieving list of available brands and obtaining detailed information about a specific brand using its unique slug.

Operations
GET
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/brand
# List sales channel brands
PATCH
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/brand/{brand_uid}
# Update sales channel brand
GET
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/brands
# List brands
GET

List sales channel brands

Retrieve brand listings related to the sales channel. A brand is the name under which a product is being sold
Parameters
company_idpath
string
Required
A `company_id` is a unique identifier for a particular seller account.
application_idpath
string
Required
A `application_id` is a unique identifier for a particular sale channel.
page_noquery
integer
The page number to navigate through the given set of results
page_sizequery
integer
Number of items to retrieve in each page. Default is 12.
Default Value : 12
qquery
string
Search query with brand name. Use this parameter to search brands by brand name.
GET
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/brand
Loading...
Response
200
List of Brands.
Hide
items
array of object (ApplicationBrandListingItemSchema)
Show
page
object (Page)
Show
Examples
Parameters
Parameters are not required.
Response
Loading...
PATCH

Update sales channel brand

Modify data associated to the brand for that particular sales channel.
Parameters
company_idpath
string
Required
A `company_id` is a unique identifier for a particular seller account.
application_idpath
string
Required
A `application_id` is a unique identifier for a particular sale channel.
brand_uidpath
integer
Required
A `brand id` is a unique identifier for a particular brand.
Request body
_custom_json
object
Required
A custom JSON object containing additional brand-specific configurations or data. The structure is flexible and may vary based on application needs.
PATCH
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/brand/{brand_uid}
Loading...
Response
200
Returns a success response
Hide
success
boolean
Indicates whether the operation was successful or not.
uid
integer
A unique identifier associated with the successful operation.
Examples
Parameters
body:
body
Response
Loading...
GET

List brands

List all the brands.
Parameters
company_idpath
string
Required
A `company_id` is a unique identifier for a particular seller account.
application_idpath
string
Required
A `application_id` is a unique identifier for a particular sale channel.
departmentquery
string
The name of the department. Use this parameter to filter products by a particular department. See below the list of available departments. You can retrieve available departments from the "v1.0/departments/" API
page_noquery
integer
The page number to navigate through the given set of results
page_sizequery
integer
Number of items to retrieve in each page. Default is 12.
Default Value : 12
qquery
string
Search query with brand name. Use this parameter to search brands by brand name.
brand_idquery
array of integer
Helps to sort the brands list on the basis of uid list.
GET
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/brands
Loading...
Response
200
List of Brands.
Hide
items
array of object (BrandItem)
An array of brand items, each containing detailed information about the brand, such as action, banners, departments, discount, logo, and other related fields.
Show
page
object (Page)
Show
Response
Loading...

Category

Categories are hierarchical structure that enables a systematic organization of products for better discoverability of products on storefront. Categories are structured into three levels: L1, L2, and L3, with L1 representing the top-level category, followed by L2 and L3. For example - Clothing(L1) >> Shirts(L2) >> Formal Shirts(L3) A single L1 category can encompass multiple L2 categories underneath it, and similarly, an L2 category can contain multiple L3 categories within it. Category is a sales-channel specific configuration. While categories are common across all companies, sales channel can configure L3 category names tailored to their unique requirements.

Operations
GET
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/categories
# List categories
GET
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/category
# List sales channel categories
PATCH
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/category/{category_uid}
# Update sales channel category
GET

List categories

Retrieve a list of categories associated to company and sales channel. user can filter on departments.
Parameters
company_idpath
string
Required
A `company_id` is a unique identifier for a particular seller account.
application_idpath
string
Required
A `application_id` is a unique identifier for a particular sale channel.
departmentquery
string
The name of the department. Use this parameter to filter products by a particular department. See below the list of available departments. You can retrieve available departments from the "v1.0/departments/" API
GET
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/categories
Loading...
Response
200
List of Categories.
Hide
data
array of object (DepartmentCategoryTree)
An array containing the department category trees, which provide hierarchical information about categories and their associated departments.
Show
departments
array of object (DepartmentIdentifier)
An array of department identifiers, each providing basic information like name, slug, and unique ID for departments within the catalog.
Show
Examples
Parameters
company_id:
1
application_id:
"000000000000000000000001"
department:
"kids"
Response
Loading...
GET

List sales channel categories

Retrieve category listings related to the sales channel , with the ability to filter results based on department ,category names etc.
Parameters
company_idpath
string
Required
A `company_id` is a unique identifier for a particular seller account.
application_idpath
string
Required
A `application_id` is a unique identifier for a particular sale channel.
department_idquery
integer
A `department_id` is a unique identifier for a particular department.
page_noquery
integer
The page number to navigate through the given set of results
page_sizequery
integer
Number of items to retrieve in each page. Default is 12.
Default Value : 12
qquery
string
A search query string. Use this parameter to filter results based on a keyword or specific value.
GET
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/category
Loading...
Response
200
List of Categories.
Hide
items
array of object (ApplicationCategoryListingItemSchema)
Show
page
object (Page)
Show
Examples
Parameters
company_id:
1
application_id:
"64aed475db2cfb5b8a9f623d"
department_id:
1
page_no:
1
page_size:
1
q:
"test"
Response
Loading...
PATCH

Update sales channel category

Modify category data related to the sales channel.
Parameters
company_idpath
string
Required
A `company_id` is a unique identifier for a particular seller account.
application_idpath
string
Required
A `application_id` is a unique identifier for a particular sale channel.
category_uidpath
string
Required
A `category id` is a unique identifier for a particular category.
Request body
_custom_json
object
Required
A custom JSON object containing additional details or configurations specific to the application category.
PATCH
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/category/{category_uid}
Loading...
Response
200
Returns a success response
Hide
success
boolean
Indicates whether the operation was successful or not.
uid
integer
A unique identifier associated with the successful operation.
Response
Loading...

Collection

The Collection is grouping of products together within an e-commerce platform, enabling sellers to curate and showcase these collections on the product listing page. Collections serve as a means to organize and highlight related products. Two types of collections basic and handpicked collections are availble. Basic Collections: These collections are configured based on predefined criteria such as brand, category, department, or a combination thereof. Sellers can create basic collections to showcase products that share common attributes.For example, a basic collection can include all products from a specific brand, a particular category, or a combination of brands and categories. Handpicked Collections: In contrast to basic collections, handpicked collections allow sellers to manually select products regardless of their categorization. This type of collection enables sellers to curate unique assortments that may not fit within predefined categories or brands. Sellers have the flexibility to include products based on their individual preferences, promotions, or seasonal themes, creating curated collections that resonate with their target audience.

Operations
GET
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/collections/
# List collections
POST
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/collections/
# Create a collection
DEL
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/collections/{id}/
# Delete a collection
PUT
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/collections/{id}/
# Update a collection
POST
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/collections/{id}/items/
# Create items in a collection
GET
/service/platform/catalog/v2.0/company/{company_id}/application/{application_id}/collections/{collection_id}/items/
# List items of collection
GET
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/collections/{slug}/
# Get a collection
GET

List collections

Retrieve all collections based on criteria such as collection name, schedule status, and active status.
Parameters
company_idpath
string
Required
A `company_id` is a unique identifier for a particular seller account.
application_idpath
string
Required
A `application_id` is a unique identifier for a particular sale channel.
qquery
string
Get collection list filtered by q string,
schedule_statusquery
string
Get collection list filtered by scheduled status,
Enum
typequery
string
Type of the collections
tagsquery
array of string
Each response will contain next_id param, which should be sent back to make pagination work.
is_activequery
boolean
Get collections filtered by active status.
page_noquery
integer
The page number to navigate through the given set of results.
page_sizequery
integer
Number of items to retrieve in each page. Default is 12.
GET
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/collections/
Loading...
Response
200
List of collections.
Hide
filters
object (CollectionListingFilter)
Show
items
array of object (GetCollectionDetailNest)
Array of nested collection details.
Show
page
object (Page)
Show
Examples
Parameters
application_id:
"64c00b72c07acacc1357503b"
q:
"test"
schedule_status:
"live"
type:
"query"
tags:
"Test Collection 123"
is_active:
true
page_no:
1
page_size:
1
Response
Loading...
POST

Create a collection

Create a collection for a sales channel linked to a company.
Parameters
company_idpath
string
Required
A `company_id` is a unique identifier for a particular seller account.
application_idpath
string
Required
A `application_id` is a unique identifier for a particular sale channel.
qquery
string
Get collection list filtered by q string,
schedule_statusquery
string
Get collection list filtered by scheduled status,
Enum
typequery
string
Type of the collections
tagsquery
array of string
Each response will contain next_id param, which should be sent back to make pagination work.
is_activequery
boolean
Get collections filtered by active status.
page_noquery
integer
The page number to navigate through the given set of results.
page_sizequery
integer
Number of items to retrieve in each page. Default is 12.
Request body
_custom_json
object
Custom JSON data for the collection, used for any additional information.
Default Value : [object Object]
_locale_language
object
Locale-specific data for supporting multiple languages.
Default Value : [object Object]
_schedule
object (CollectionSchedule)
Show
allow_facets
boolean
Indicates whether facet-based filtering is allowed for the collection.
Default Value : true
allow_sort
boolean
Indicates whether sorting options are allowed for the collection.
Default Value : true
app_id
string
Required
The application ID associated with the collection.
badge
object (CollectionBadge)
Show
banners
object (CollectionBanner)
Required
Show
created_by
object (UserInfo)
Information about the user who created the collection.
Show
description
string
A description of the collection.
is_active
boolean
Indicates whether the collection is currently active.
Default Value : true
is_visible
boolean
Indicates whether the collection is visible to users.
Default Value : true
logo
object (CollectionImage)
Required
Show
meta
object
Additional metadata related to the collection.
Default Value : [object Object]
modified_by
object (UserInfo)
Information about the user who last modified the collection.
Show
name
string
Required
The name of the collection.
priority
integer
The priority level of the collection, used to determine its display order.
Default Value : 99999
published
boolean
Indicates whether the collection is published and available to users.
Default Value : true
query
array of object (CollectionQuery)
Query objects that define how the collection's items are retrieved or filtered.
Default Value :
Show
seo
object (SeoDetail)
Show
slug
string
Required
The URL-friendly identifier for the collection.
sort_on
string
The default sorting order for items in the collection, e.g., 'popular'.
Default Value : popular
tags
array of string
Array of tags associated with the collection for categorization and filtering.
type
string
Required
The type of collection, either 'items' for manually added items or 'query' for dynamically fetched items.
Enum
visible_facets_keys
array of string
Keys of the facets that are visible and can be used for filtering the collection.
Default Value :
POST
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/collections/
Loading...
Response
200
List of all the collections including the one you added.
Hide
uid
string
Unique identifier for the collection.
_schedule
object (CollectionSchedule)
Show
allow_facets
boolean
Indicates whether facet-based filtering is allowed for the collection.
allow_sort
boolean
Indicates whether sorting options are allowed for the collection.
app_id
string
The application ID associated with the collection.
badge
object
Details of the badge associated with the collection.
banners
object (ImageUrls)
Show
cron
object
description
string
A description of the collection.
is_active
boolean
Indicates whether the collection is currently active.
logo
object (BannerImage)
Show
meta
object
Additional metadata related to the collection.
name
string
The name of the collection.
priority
integer
The priority level of the collection, used to determine its display order.
query
array of object (CollectionQuery)
Query objects that define how the collection's items are retrieved or filtered.
Show
slug
string
The URL-friendly identifier for the collection.
sort_on
string
The default sorting order for items in the collection, e.g., 'popular'.
tag
array of string
Array of tags associated with the collection for categorization and filtering.
type
string
The type of collection, such as 'items' for manually added items or 'query' for dynamically fetched items.
visible_facets_keys
array of string
Keys of the facets that are visible and can be used for filtering the collection.
published
boolean
Indicates whether the collection is published.
tags
array of string
List of tags associated with the collection.
action
object (Action)
Show
_custom_json
object
Custom JSON data for additional information.
_locale_language
object
Locale language settings for the collection.
seo
object (SeoDetail)
Show
is_visible
boolean
Indicates if the collection is visible to users.
id
string
Unique identifier for the collection.
Response
Loading...
DEL

Delete a collection

Delete a collection by it's id. Returns an object that tells whether the collection was deleted successfully
Parameters
company_idpath
integer
Required
A `company_id` is a unique identifier for a particular seller account.
application_idpath
string
Required
A `application_id` is a unique identifier for a particular sale channel.
idpath
string
Required
A `id` is a unique identifier of a collection.
DEL
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/collections/{id}/
Loading...
Response
200
Status object. Tells whether the operation was successful.
Hide
A general response schema used for conveying messages.
message
string
A message providing details about the response.
Response
Loading...
PUT

Update a collection

Update a collection by it's id. On successful request, returns the updated collection
Parameters
company_idpath
integer
Required
A `company_id` is a unique identifier for a particular seller account.
application_idpath
string
Required
A `application_id` is a unique identifier for a particular sale channel.
idpath
string
Required
A `id` is a unique identifier of a collection.
Request body
_custom_json
object
Custom JSON object containing additional metadata specific to the collection.
_locale_language
object
Locale-based language settings for the collection.
_schedule
object (CollectionSchedule)
Show
allow_facets
boolean
Indicates whether facets are allowed for filtering items in the collection.
allow_sort
boolean
Specifies whether sorting is allowed for items within the collection.
badge
object (CollectionBadge)
Show
banners
object (CollectionBanner)
Show
description
string
A brief description of the collection.
is_active
boolean
Indicates if the collection is active and visible to users.
is_visible
boolean
Specifies whether the collection is visible to users on the platform.
logo
object (CollectionImage)
Show
meta
object
Additional metadata related to the collection.
modified_by
object (UserInfo)
Show
name
string
The name of the collection.
priority
integer
Priority level of the collection, determining its order in listings.
published
boolean
Indicates whether the collection is published and accessible to the public.
query
array of object (CollectionQuery)
List of query filters that define which items are included in the collection.
Show
seo
object (CollectionSeoDetail)
Show
slug
string
A unique identifier used to reference the collection in URLs.
sort_on
string
The field by which items in the collection are sorted (e.g., popular, latest).
tags
array of string
List of tags associated with the collection.
type
string
The type of collection, either 'items' or 'query'.
visible_facets_keys
array of string
Keys for facets that are visible to users for filtering items in the collection.
PUT
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/collections/{id}/
Loading...
Response
200
The Collection object.
Hide
Schema for updating collection details.
_custom_json
object
Custom JSON object containing additional metadata specific to the collection.
_locale_language
object
Locale-based language settings for the collection.
_schedule
object (CollectionSchedule)
Show
allow_facets
boolean
Indicates whether facets are allowed for filtering items in the collection.
allow_sort
boolean
Specifies whether sorting is allowed for items within the collection.
badge
object (CollectionBadge)
Show
banners
object (CollectionBanner)
Show
description
string
A brief description of the collection.
is_active
boolean
Indicates if the collection is active and visible to users.
is_visible
boolean
Specifies whether the collection is visible to users on the platform.
logo
object (CollectionImage)
Show
meta
object
Additional metadata related to the collection.
modified_by
object (UserInfo)
Show
name
string
The name of the collection.
priority
integer
Priority level of the collection, determining its order in listings.
published
boolean
Indicates whether the collection is published and accessible to the public.
query
array of object (CollectionQuery)
List of query filters that define which items are included in the collection.
Show
seo
object (CollectionSeoDetail)
Show
slug
string
A unique identifier used to reference the collection in URLs.
sort_on
string
The field by which items in the collection are sorted (e.g., popular, latest).
tags
array of string
List of tags associated with the collection.
type
string
The type of collection, either 'items' or 'query'.
visible_facets_keys
array of string
Keys for facets that are visible to users for filtering items in the collection.
Response
Loading...
POST

Create items in a collection

Adds items to a collection specified by its id
Parameters
company_idpath
integer
Required
A `company_id` is a unique identifier for a particular seller account.
application_idpath
string
Required
A `application_id` is a unique identifier for a particular sale channel.
idpath
string
Required
A `id` is a unique identifier of a collection.
Request body
allow_facets
boolean
Indicates whether facets are allowed for filtering the collection items.
allow_sort
boolean
Indicates whether sorting is enabled for the collection items.
items
array of object (CollectionItemSchemaV2)
A list of items in the collection.
Show
query
array of object (CollectionQuerySchemaV2)
A list of query conditions to filter the collection items.
Show
type
string
Required
The type of the collection item, defining its classification.
visible_facets_keys
array of string
A list of keys representing visible facets for the collection, used for filtering.
POST
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/collections/{id}/items/
Loading...
Response
200
Status object. Tells whether the operation was successful.
Hide
A general response schema used for conveying messages.
message
string
A message providing details about the response.
Examples
Parameters
company_id:
1
application_id:
"6606a10edc4fd506edce0f7b"
id:
"6606a10edc4fd506edce0f7b"
body:
body
Response
Loading...
GET

List items of collection

Get items from a collection specified by its collection_id with enhanced search capabilities.
Parameters
company_idpath
integer
Required
A `company_id` is a unique identifier for a particular seller account.
application_idpath
string
Required
A `application_id` is a unique identifier for a particular sale channel.
collection_idpath
string
Required
A `collection_id` is a unique identifier of a collection.
page_noquery
integer
The page number to navigate through the given set of results
Default Value : 1
page_sizequery
integer
Number of items to retrieve in each page. Default is 10.
Default Value : 10
qquery
string
Query string to search collection items by substring match on item's name (case-insensitive) or exact item_code.
GET
/service/platform/catalog/v2.0/company/{company_id}/application/{application_id}/collections/{collection_id}/items/
Loading...
Response
200
The items of a collection with simplified response structure.
Hide
items
array of object (CollectionItemV2)
Show
page
object (Page)
Show
Examples
Parameters
company_id:
11
application_id:
"68cbce2a2d4fd422e1c6bf60"
collection_id:
"68e39d6acdf11e31d5b7b6e8"
page_no:
1
page_size:
10
q:
"422"
Response
Loading...
GET

Get a collection

Get the details of a collection by its slug.
Parameters
company_idpath
integer
Required
A `company_id` is a unique identifier for a particular seller account.
application_idpath
string
Required
A `application_id` is a unique identifier for a particular sale channel.
slugpath
string
Required
A `slug` is a human readable, URL friendly unique identifier of an object. Pass the `slug` of the collection which you want to retrieve.
GET
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/collections/{slug}/
Loading...
Response
200
The Collection object.
Hide
_custom_json
object
Custom JSON data associated with the collection.
_locale_language
object
Locale-specific language details.
_schedule
object (CollectionSchedule)
Show
action
object
Action details, including navigation or page redirection information.
allow_facets
boolean
Indicates whether facets are allowed for filtering the collection.
allow_sort
boolean
Indicates whether sorting is enabled for the collection.
app_id
string
The unique identifier of the application to which the collection belongs.
badge
object (CollectionBadge)
Show
banners
object (ImageUrls)
Show
description
string
A textual description of the collection.
is_active
boolean
Indicates whether the collection is currently active.
is_visible
boolean
Indicates whether the collection is visible on the platform.
logo
object (Media)
Show
meta
object
Metadata associated with the collection.
name
string
The name of the collection.
priority
integer
The priority level assigned to the collection.
published
boolean
Indicates whether the collection is published and visible to customers.
query
array of object (CollectionQuery)
Query details that define how items in the collection are filtered.
Show
seo
object (SeoDetail)
Show
slug
string
The URL-friendly slug for the collection.
sort_on
string
The sorting criteria applied to the collection (e.g., by latest, discount).
tags
array of string
Tags associated with the collection.
type
string
The type of the collection (e.g., query-based).
uid
string
A unique identifier for the collection.
_id
string
A unique identifier for the collection, matching `uid`.
visible_facets_keys
array of string
Keys representing visible facets for filtering.
handpicked_collection_item_ids
array of string
Array of item `uid` that have been manually handpicked for this collection. Will be an empty array if the collection type is not handpicked.
Examples
Parameters
company_id:
1
application_id:
"6606a10edc4fd506edce0f7b"
slug:
"sample-coll"
Response
Loading...

Default

Default

Operations
DEL
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/user/{user_id}/products/{item_id}/follow
# Unfollow a Specific Product by ID
DEL

Unfollow a Specific Product by ID

This endpoint allows a user to unfollow a previously followed product using its unique item ID for a sales channel.
Parameters
company_idpath
string
Required
The Company ID
application_idpath
string
Required
Application ID of the Store Front
user_idpath
string
Required
User ID of User
item_idpath
string
Required
Item ID of Product
DEL
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/user/{user_id}/products/{item_id}/follow
Loading...
Response
200
400
Successfully unfollowed the product
Hide
message
string
A message indicating the result of the follow or unfollow operation.
Examples
Parameters
company_id:
"value"
application_id:
"value"
user_id:
"value"
item_id:
"value"
Response
Loading...

Department

A department categorizes products into different sections or categories based on their type or purpose. Departments help organize products in a logical manner, making it easier for customers to navigate the product catalog. Each department typically has a unique identifier and a name. For example, a clothing ecommerce platform might have departments such as Men's Clothing, Women's Clothing, Accessories, Footwear, etc. You can retrieve a list of all departments associated with available products, facilitating easy navigation and organization of products based on departmental categorization. Additionally, the APIs allow you to list all products associated with a specific brand, collection, or category in a random order, enhancing user engagement and discovery within your application

Operations
GET
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/department
# List sales channel departments
PATCH
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/department/{department_uid}
# Update sales channel department
GET
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/departments
# List departments
GET

List sales channel departments

Retrieve department listings related to the sales channel. Departments are used to categorize similar products, and you can filter the results based on department names
Parameters
company_idpath
integer
Required
A `company_id` is a unique identifier for a particular seller account.
application_idpath
string
Required
A `application_id` is a unique identifier for a particular sale channel.
page_noquery
integer
The page number to navigate through the given set of results
page_sizequery
integer
Number of items to retrieve in each page. Default is 12.
Default Value : 12
qquery
string
A search query string. Use this parameter to filter results based on a keyword or specific value.
GET
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/department
Loading...
Response
200
List of Departments.
Hide
items
array of object (ApplicationDepartment)
Show
page
object (Page)
Show
Examples
Parameters
company_id:
1
application_id:
"64c00b72c07acacc1357503b"
page_no:
1
page_size:
1
q:
"test"
Response
Loading...
PATCH

Update sales channel department

Modify department data associated to the sales channel.
Parameters
company_idpath
string
Required
A `company_id` is a unique identifier for a particular seller account.
application_idpath
string
Required
A `application_id` is a unique identifier for a particular sale channel.
department_uidpath
integer
Required
A `department id` is a unique identifier for a particular department.
Request body
_custom_json
object
Required
A custom JSON object containing additional details or configurations specific to the application department.
PATCH
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/department/{department_uid}
Loading...
Response
200
Returns a success response
Hide
success
boolean
Indicates whether the operation was successful or not.
uid
integer
A unique identifier associated with the successful operation.
Examples
Parameters
company_id:
1
application_id:
"000000000000000000000001"
department_uid:
4
body:
body
Response
Loading...
GET

List departments

Retrieve a list of departments associated with a comapny and sales channel.
Parameters
company_idpath
integer
Required
A `company_id` is a unique identifier for a particular seller account.
application_idpath
string
Required
A `application_id` is a unique identifier for a particular sale channel.
GET
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/departments
Loading...
Response
200
List of Departments.
Hide
items
array of object (Department)
Show
Examples
Parameters
company_id:
1
application_id:
"000000000000000000000001"
Response
Loading...

PriceFactory

A Price Factory is a resource that enables the creation and management of pricing rules for products. It allows you to define pricing strategies and calculate prices based on location, currency, and product attributes. There are two types: Regional (prices based on seller's base country) and International (prices set at country level with multiple currencies). Price Factories support bulk price uploads, manual adjustments, and bulk actions.

Operations
GET
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/price/list
# Retrieve Price Factories for an Application
POST
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/price
# Create a Price Factory for an Application
GET
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/price/{price_factory_id}
# Retrieve a Specific Price Factory Configuration
PATCH
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/price/{price_factory_id}
# Update an Existing Price Factory Configuration
DEL
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/price/{price_factory_id}
# Delete a Price Factory Configuration
GET
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/price/{price_factory_id}/products
# Get Products associated with a Price Factory
GET
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/price/{price_factory_id}/products/{item_id}
# Update marketplace optin
PATCH
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/price/{price_factory_id}/products/{item_id}
# Partially update price factory product configuration
GET

Retrieve Price Factories for an Application

Fetches a paginated list of price factories configured for the specified application within a company. Supports optional filters such as brand IDs, category IDs, seller identifier, item code, slug, and name to narrow down the results.
Parameters
company_idpath
integer
Required
Unique identifier representing the seller's company account.
application_idpath
string
Required
Unique identifier representing the application or sales channel.
qquery
string
Optional q to filter price factories by name.
GET
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/price/list
Loading...
Response
200
Successfully retrieved the list of price factories matching the filters.
Hide
Product pricing Response
page
object (Page)
Show
data
array of object (PriceFactoryListItemsSchema)
List of price factory configurations.
Show
Response
Loading...
POST

Create a Price Factory for an Application

Creates a new price factory configuration for the specified application under a given company. A price factory allows defining region-based or international pricing strategies using fixed or percentage-based adjustments per currency.
Parameters
company_idpath
integer
Required
Unique identifier representing the seller's company account.
application_idpath
string
Required
Unique identifier for the application or sales channel where the price factory will be applied.
Request body
name
string
The name of the price factory configuration.
type
string
Defines the type of price factory, either regional or international.
Enum
currencies
array of string
List of currency codes applicable for pricing (e.g., USD, EUR).
price_strategy
array of object (PriceStrategySchema)
List of pricing strategies to apply for each currency.
Show
price_zone_id
string
Identifier for the price zone associated with the price factory.
POST
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/price
Loading...
Response
200
422
Price factory created successfully.
Hide
Indicates whether the operation was successful or not.
success
boolean
Response
Loading...
GET

Retrieve a Specific Price Factory Configuration

Retrieves detailed information about a specific price factory configuration for the given application and company, using the unique price factory ID. This includes currency strategies, adjustment values, zone mapping, and audit metadata.
Parameters
company_idpath
integer
Required
Unique identifier representing the seller's company account.
application_idpath
string
Required
Unique identifier representing the application or sales channel.
price_factory_idpath
string
Required
Unique identifier of the specific price factory to be retrieved.
GET
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/price/{price_factory_id}
Loading...
Response
200
404
Successfully retrieved the price factory configuration.
Hide
Price factory configuration schema.
name
string
The name of the price factory configuration.
type
string
Defines the type of price factory, either regional or international.
Enum
currencies
array of string
List of currency codes applicable for pricing (e.g., USD, EUR).
price_strategy
array of object (PriceStrategySchema)
List of pricing strategies to apply for each currency.
Show
price_zone_id
string
Identifier for the price zone associated with the price factory.
created_by
object (CreatedBy)
Show
modified_by
object (CreatedBy)
Show
Response
Loading...
PATCH

Update an Existing Price Factory Configuration

Allows partial update of an existing price factory configuration for a specific application and company using the provided price factory ID. Fields such as name, currencies, pricing strategies, or zone mapping can be modified.
Parameters
company_idpath
integer
Required
Unique identifier representing the seller's company account.
application_idpath
string
Required
Unique identifier representing the application or sales channel.
price_factory_idpath
string
Required
Unique identifier of the specific price factory to be updated.
Request body
name
string
The name of the price factory configuration.
currencies
array of string
List of currency codes applicable for pricing (e.g., USD, EUR).
price_strategy
array of object (PriceStrategySchema)
List of pricing strategies to apply for each currency.
Show
price_zone_id
string
Identifier for the price zone associated with the price factory.
PATCH
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/price/{price_factory_id}
Loading...
Response
200
404
Price factory updated successfully.
Hide
Indicates whether the operation was successful or not.
success
boolean
Response
Loading...
DEL

Delete a Price Factory Configuration

Deletes a specific price factory configuration associated with a given company and application. This action is typically irreversible and will remove the pricing logic tied to the specified price factory ID.
Parameters
company_idpath
integer
Required
A `company_id` is a unique identifier for a particular seller account.
application_idpath
string
Required
A `application_id` is a unique identifier for a particular sale channel.
price_factory_idpath
string
Required
A `price_factory_id` is a unique identifier for a particular price factory configuration.
DEL
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/price/{price_factory_id}
Loading...
Response
200
Price factory deleted successfully or deletion failed due to invalid ID.
Hide
Indicates whether the operation was successful or not.
success
boolean
Response
Loading...
GET

Get Products associated with a Price Factory

Retrieves a paginated list of products linked to a specific price factory configuration for the given application and company. This endpoint returns item-level details such as pricing by currency, delivery zones, seller identifiers, media, and size-level configurations. Useful for viewing how pricing strategies are applied across different items.
Parameters
company_idpath
integer
Required
A `company_id` is a unique identifier for a particular seller account.
application_idpath
string
Required
A `application_id` is a unique identifier for a particular sales channel.
price_factory_idpath
string
Required
A `price_factory_id` uniquely identifies a price factory configuration for a specific application.
brand_idsquery
array of integer
Optional list of brand IDs to filter price factories associated with specific brands.
category_idsquery
array of integer
Optional list of category IDs to filter price factories related to specific product categories.
seller_identifierquery
string
Optional seller identifier to filter price factories associated with a particular seller.
item_codequery
string
Optional item code to filter price factories configured for a specific product code.
slugquery
string
Optional slug to filter price factories by product slug.
namequery
string
Optional name to filter price factories by product or configuration name.
activequery
boolean
Optional name to filter price factories by product status.
page_noquery
integer
The page number to navigate through the given set of results
page_sizequery
integer
Number of items to retrieve in each page. Default is 12.
Default Value : 12
GET
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/price/{price_factory_id}/products
Loading...
Response
200
400
Successfully retrieved list of products linked to the specified price factory.
Hide
Price factory product list response schema
items
array of object (PriceFactoryProductResponseSchema)
List of products details with sizes and prices details.
Show
page
object (Page)
Show
Response
Loading...
GET

Update marketplace optin

get price related information of item for given price factory
Parameters
company_idpath
integer
Required
A `company_id` is a unique identifier for a particular seller account.
application_idpath
string
Required
A `application_id` is a unique identifier for a particular sale channel.
price_factory_idpath
string
Required
A `price_factory_id` is a unique identifier for a particular sale channel.
item_idpath
integer
Required
A `item_id` is a unique identifier for a particular product.
GET
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/price/{price_factory_id}/products/{item_id}
Loading...
Response
200
404
Price Factory product scuccess response
Hide
Price factory product response schema
item_id
integer
Unique identifier for the item in the price factory response.
item_code
string
Code identifying the item.
name
string
Name of the item.
active
boolean
Indicates if the item is currently active.
media
array of string
List of media associated with the item.
sizes
array of object (PriceFactorySizesSchema)
List of size and pricing details.
Show
Response
Loading...
PATCH

Partially update price factory product configuration

Updates specific fields in the price factory product configuration. Use this to partially update pricing or status for a given product and size without overwriting the entire configuration.
Parameters
company_idpath
integer
Required
A `company_id` is a unique identifier for a particular seller account.
application_idpath
string
Required
A `application_id` is a unique identifier for a particular sales channel.
price_factory_idpath
string
Required
A `price_factory_id` is a unique identifier for a specific price factory configuration.
item_idpath
integer
Required
A `item_id` is a unique identifier for a particular product.
Request body
sizes
array of object (UpsertPriceFactorySizesSchema)
List of size-level pricing configurations.
Show
active
boolean
Indicates whether the product configuration is active.
PATCH
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/price/{price_factory_id}/products/{item_id}
Loading...
Response
200
Price factory product successfully updated.
Hide
Indicates whether the operation was successful or not.
success
boolean
Response
Loading...

Product

The "Product" resource offers detailed insights into items available for sale on Sales Channels or Marketplaces. It provides comprehensive product listings, stock status insights, seller details, and facilitates efficient product catalog management

Operations
GET
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/inventory/
# List sales channel inventory
GET
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/products/{item_id}/inventory/{size_identifier}
# Get discounted inventory
GET
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/products/{slug}
# Get product details
GET
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/user/{user_id}/products/follow
# Retrieve followed products by user
PUT
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/user/{user_id}/products/{item_id}/follow
# Follow a Specific Product by ID
GET

List sales channel inventory

Retrieve inventory data related to the sales channel. this can be used to get the Inventory status of products.
Parameters
company_idpath
integer
Required
A `company_id` is a unique identifier for a particular seller account.
application_idpath
string
Required
A `application_id` is a unique identifier for a particular sale channel.
item_idsquery
array of integer
The Item Id of the product.
store_idsquery
array of integer
The Store Id of products to fetch inventory.
brand_idsquery
array of integer
The Brand Id of products to fetch inventory.
seller_identifiersquery
array of string
Unique seller_identifier of the product.
timestampquery
string
Timestamp in UTC format (2020-07-23T10:27:50Z)
page_sizequery
integer
The number of items to retrieve in each page.
Default Value : 12
page_idquery
string
Page ID to retrieve next set of results.
qty_gtquery
integer
This field allows you to filter for inventories that have quantity greater than to the specified value based on qty_type filter.
qty_ltquery
integer
This field allows you to filter for inventories that have a quantity less than to the specified value based on qty_type filter.
qty_typequery
string
This field provides flexibility in selecting filter for inventory quantity counts and date queries. For example, you might use this field to specify "total" or "sellable" quantity.
Enum
from_datequery
string
| date-time
Inventory updated on filter to get inventories greater then or equal to provided date based on qty_type value.
to_datequery
string
| date-time
Inventory updated on filter to get inventories less then or equal to provided date based on qty_type value.
GET
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/inventory/
Loading...
Response
200
Success. Returns the article/stock of the product stock.
Hide
items
array of object
An array of inventory stock items. Each item represents a stock entry for a specific product or SKU.
Default Value :
page
object (InventoryPage)
Show
Response
Loading...
GET

Get discounted inventory

Allows to retrieve Inventory data for particular company grouped by size and store.
Parameters
company_idpath
integer
Required
A `company_id` is a unique identifier for a particular seller account.
application_idpath
string
Required
A `application_id` is a unique identifier for a particular sale channel.
item_idpath
integer
Required
A `item_id` is a unique identifier for a specific product.
size_identifierpath
integer
Required
Size Identifier (Seller Identifier or Primary Identifier).
page_noquery
integer
The page number to navigate through the given set of results
page_sizequery
integer
Number of items to retrieve in each page. Default is 12.
Default Value : 12
location_idsquery
array of integer
Search by store ids.
GET
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/products/{item_id}/inventory/{size_identifier}
Loading...
Response
200
returns a list of all inventory grouped by size and store
Hide
items
array of object (InventorySellerResponseSchema)
Show
page
object (Page)
Show
Examples
Parameters
company_id:
1
application_id:
"63b6aa5558bf3ed100740c10"
item_id:
75779472
size_identifier:
410163085004
page_no:
1
page_size:
1
location_ids:
1
Response
Loading...
GET

Get product details

Retrieve detailed product information using a product slug.
Parameters
company_idpath
integer
Required
A `company_id` is a unique identifier for a particular seller account.
application_idpath
string
Required
A `application_id` is a unique identifier for a particular sale channel.
slugpath
string
Required
The unique identifier of a product. i.e; `slug` of a product. You can retrieve these from the APIs that list products like "v1.0/products/"
GET
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/products/{slug}
Loading...
Response
200
The Product object.
Hide
attributes
object
Key-value pairs representing various product attributes.
brand
object (ProductBrand)
Show
description
string
Detailed description of the product.
grouped_attributes
array of object (ProductDetailGroupedAttribute)
Grouped attributes of the product, such as product details and specifications.
Show
has_variant
boolean
Indicates whether the product has variants.
highlights
array of string
Array of highlight features for the product.
image_nature
string
The nature of the product's images.
item_code
string
Unique item code for the product.
item_type
string
Type of the item.
Enum
medias
array of object (Media)
Array of media objects such as images and videos for the product.
Show
name
string
Name of the product.
product_online_date
string
| date-time
Date when the product was made available online.
promo_meta
object
Promotional metadata associated with the product.
rating
number
Average rating of the product.
rating_count
integer
Total number of ratings for the product.
short_description
string
A brief description of the product.
similars
array of string
Array of similar products.
slug
string
Unique slug for the product, used in URLs.
teaser_tag
object
Teaser tag information related to the product.
tryouts
array of string
Array of product tryout options.
type
string
The type of item.
uid
integer
Unique identifier for the product.
country_of_origin
string
Country where the product was manufactured.
categories
array of object (ApplicationProductCategoryItem)
Array of categories the product belongs to.
Show
tags
array of string
Array of tags associated with the product.
no_of_boxes
integer
Number of boxes required for packaging the product.
custom_order
object (CustomOrder)
Show
Examples
Parameters
company_id:
10
application_id:
"64c00b72c07acacc1357503b"
slug:
"75779472"
Response
Loading...
GET

Retrieve followed products by user

List all product ids a user has wishlisted or is following for sales channel.
Parameters
company_idpath
string
Required
Unique identifier of the Company
application_idpath
string
Required
The Application ID of the store front
user_idpath
string
Required
User ID to fetch the followed list
page_idquery
string
The identifier used to retrieve the next set of results. This parameter follows cursor-based pagination.
Default Value : 1
page_sizequery
integer
Number of items per page
Default Value : 12
GET
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/user/{user_id}/products/follow
Loading...
Response
200
Successfully retrieved followed products.
Hide
item_ids
array of integer
page
object (Page)
Show
Examples
Parameters
Parameters are not required.
Response
Loading...
PUT

Follow a Specific Product by ID

This endpoint enables a user to follow a specific product identified by its unique item ID for a sales channel.
Parameters
company_idpath
string
Required
The Company ID
application_idpath
string
Required
Application ID of the Store Front
user_idpath
string
Required
User ID of User
item_idpath
string
Required
Item ID of Product
PUT
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/user/{user_id}/products/{item_id}/follow
Loading...
Response
200
400
Successfully followed the product
Hide
message
string
A message indicating the result of the follow or unfollow operation.
Examples
Parameters
company_id:
"value"
application_id:
"value"
user_id:
"value"
item_id:
"value"
Response
Loading...

Sales Channel

A sales channel, also known as application, enables the seller to list and sell their products. Different types of sales channels are available namely - 1. Storefront websites - create your own custom storefront website with a free or your own domain. 2. Marketplaces integrations - upload product catalog on platform and sync it to external marketplaces like Myntra, Amazon, Fynd, etc. You can use this resource to retrieve details of the current sales channel. To identify an application, we use the id as the application identifier and the associated token in the header, and then return the corresponding application details.

Operations
PATCH
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/store/{store_uid}
# Update sales channel location
PATCH

Update sales channel location

Modify location data related to the sales channel.
Parameters
company_idpath
integer
Required
Id of the company associated to location custom json.
application_idpath
string
Required
A `application_id` is a unique identifier for a particular sale channel.
store_uidpath
integer
Required
store id for which the custom_json is associated.
Request body
_custom_json
object
Required
Custom JSON data for the store. It can contain any additional data specific to the store configuration.
PATCH
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/store/{store_uid}
Loading...
Response
200
Returns a success response
Hide
success
boolean
Indicates whether the operation was successful or not.
uid
integer
A unique identifier associated with the successful operation.
Response
Loading...

Sales Channel Cataloging

Sales Channel Cataloging is the customization of product listings, query filters, and catalog configuration for a sales channel. Sales Channel Configuration can be used for effectively tailoring sales strategies, improving product visibility, and optimising customer interactions across various sales channels. Build catalog for a sales channel by selecting multiple brands and other properties like imageless, verified/unverified, out-of-stock. Additionally, allow products available in certain companies or selling locations.

Operations
GET
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/collections/query-options/
# Get collection query filters
POST
/service/platform/catalog/v2.0/company/{company_id}/application/{application_id}/product-configuration/sort/default_key
# Update default sorting
GET
/service/platform/catalog/v2.0/company/{company_id}/application/{application_id}/product-configuration/{config_type}/
# Get listing configurations
POST
/service/platform/catalog/v2.0/company/{company_id}/application/{application_id}/product-configuration/{config_type}/
# Create listing configuration
GET
/service/platform/catalog/v2.0/company/{company_id}/application/{application_id}/product-configuration/{config_type}/groups
# Get group configurations
POST
/service/platform/catalog/v2.0/company/{company_id}/application/{application_id}/product-configuration/{config_type}/groups
# Create group configuration
DEL
/service/platform/catalog/v2.0/company/{company_id}/application/{application_id}/product-configuration/{config_type}/groups/{group_slug}
# Delete group configuration
PUT
/service/platform/catalog/v2.0/company/{company_id}/application/{application_id}/product-configuration/{config_type}/groups/{group_slug}
# Update group configuration
DEL
/service/platform/catalog/v2.0/company/{company_id}/application/{application_id}/product-configuration/{config_type}/item/{config_id}/
# Delete listing configuration
PUT
/service/platform/catalog/v2.0/company/{company_id}/application/{application_id}/product-configuration/{config_type}/item/{config_id}/
# Update listing configuration
GET
/service/platform/catalog/v2.0/company/{company_id}/application/{application_id}/product-configuration/{config_type}/metadata/
# Get configuration metadata
GET

Get collection query filters

Retrieve query filters to configure a collection for a company and a sales channel.
Parameters
company_idpath
string
Required
A `company_id` is a unique identifier for a particular seller account.
application_idpath
string
Required
A `application_id` is a unique identifier for a particular sale channel.
GET
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/collections/query-options/
Loading...
Response
200
The attached items of an collection.
Hide
Response schema that provides product filters, operators, and sorting options for querying products.
filters
array of object (CollectionProductFilters)
An array of filters to be applied on products while querying.
Show
operators
object
A map of operators available for product queries, where the key is the operator type and the value is a string.
sort_on
array of object (CollectionProductSortOn)
An array of sorting options to be applied to product queries.
Show
Examples
Parameters
company_id:
"1"
application_id:
"64c00b72c07acacc1357503b"
Response
Loading...
POST

Update default sorting

Modify the default sort key configuration for a company and an sales channel.
Parameters
company_idpath
string
Required
A `company_id` is a unique identifier for a particular seller account.
application_idpath
string
Required
A `application_id` is a unique identifier for a particular sale channel.
Request body
default_key
string
Required
The default key used for the requested operation.
POST
/service/platform/catalog/v2.0/company/{company_id}/application/{application_id}/product-configuration/sort/default_key
Loading...
Response
200
success message will tell whether the operation was successful.
Hide
This object represents the success response for configuration-related operations.
message
string
A message confirming the successful completion of the configuration operation.
Examples
Parameters
company_id:
"1"
application_id:
"832488340923kjdsbfkjhsbfk"
body:
body
Response
Loading...
GET

Get listing configurations

Retrieve product listing configurations based on specific config_type for a company and an sales channel.
Parameters
company_idpath
string
Required
A `company_id` is a unique identifier for a particular seller account.
application_idpath
string
Required
A `application_id` is a unique identifier for a particular sale channel.
config_typepath
string
Required
A `config_type` is an identifier that defines a specific type of configuration.
Enum
page_noquery
integer
The page number to navigate through the given set of results.
page_sizequery
integer
Number of items to retrieve in each page. Default is 12.
searchquery
string
Get configuration list filtered by `search` string.
GET
/service/platform/catalog/v2.0/company/{company_id}/application/{application_id}/product-configuration/{config_type}/
Loading...
Response
200
configuration details for catalog.
Hide
Response object containing configuration details and pagination information.
data
array of object (ConfigItem)
Show
page
object (PageResponseType)
Show
Examples
Parameters
company_id:
"1"
application_id:
"sadasfadsfdfd234"
config_type:
"brands"
page_no:
1
page_size:
1
search:
"sample_slug"
Response
Loading...
POST

Create listing configuration

Add configuration for product catalog listing specific to a company and an sales channel.
Parameters
company_idpath
string
Required
A `company_id` is a unique identifier for a particular seller account.
application_idpath
string
Required
A `application_id` is a unique identifier for a particular sale channel.
config_typepath
string
Required
A `config_type` is a unique identifier for a particular listing configuration type.
Enum
Request body
app_id
string
Required
Unique identifier for the application.
default_key
string
Required
The default configuration key for the app.
is_active
boolean
Required
Indicates whether the app configuration is currently active.
is_default
boolean
Required
Specifies if this is the default configuration for the app.
key
string
Required
The specific configuration key for the app.
logo
string
| url
URL of the app's logo.
name
string
Name of the application.
priority
integer
| value >= 1
Required
Defines the priority level for this configuration, with 1 being the highest.
weights
object (SortWeights)
Show
cohorts
object (CohortSortingConfiguration)
Show
POST
/service/platform/catalog/v2.0/company/{company_id}/application/{application_id}/product-configuration/{config_type}/
Loading...
Response
200
success flag will tell whether the operation was successful.
Hide
Represents the configuration details of an app, including its active status, default settings, and priority.
app_id
string
Unique identifier for the application.
default_key
string
The default configuration key for the app.
is_active
boolean
Indicates whether the app configuration is currently active.
is_default
boolean
Specifies if this is the default configuration for the app.
key
string
The specific configuration key for the app.
logo
string
| url
URL of the app's logo.
name
string
Name of the application.
priority
integer
| value >= 1
Defines the priority level for this configuration, with 1 being the highest.
weights
object (SortWeights)
Show
cohorts
object (CohortSortingConfiguration)
Show
Examples
Parameters
company_id:
"11"
application_id:
"sadadkjasdkjhabd57"
config_type:
"filter"
body:
body
Response
Loading...
GET

Get group configurations

Retrieve the details of product group configurations based on config types for a company and an sales channel.
Parameters
company_idpath
string
Required
A `company_id` is a unique identifier for a particular seller account.
application_idpath
string
Required
A `application_id` is a unique identifier for a particular sale channel.
config_typepath
string
Required
A `config_type` is an identifier that defines a specific type of configuration.
Enum
page_noquery
integer
The page number to navigate through the given set of results.
page_sizequery
integer
Number of items to retrieve in each page. Default is 12.
searchquery
string
Get configuration list filtered by `search` string.
template_slugquery
string
Get configuration list filtered by `template_slug` string. This is for the details and comparision groups.
GET
/service/platform/catalog/v2.0/company/{company_id}/application/{application_id}/product-configuration/{config_type}/groups
Loading...
Response
200
configuration details for catalog.
Hide
Response object containing configuration details and pagination information.
data
array of object (ConfigItem)
Show
page
object (PageResponseType)
Show
Examples
Parameters
company_id:
"1"
application_id:
"asdasjkdbdh673t"
config_type:
"comparisons_groups"
page_no:
1
page_size:
12
search:
"comparisons_groups"
template_slug:
"comparisons_groups"
Response
Loading...
POST

Create group configuration

Create group configuration for a specific config_type for a company and an sales channel.
Parameters
company_idpath
string
Required
A `company_id` is a unique identifier for a particular seller account.
application_idpath
string
Required
A `application_id` is a unique identifier for a particular sale channel.
config_typepath
string
Required
A `config_type` is a unique identifier for a particular group configuration type.
Enum
Request body
app_id
string
Required
Unique identifier for the application to which this configuration belongs.
attributes
array of object (AttributeDetailsGroup)
A list of attribute groups associated with the app configuration. Each attribute group defines a set of attributes relevant to the app.
Minimum Items : 1
Show
is_active
boolean
Required
Indicates whether this configuration is currently active for the application.
is_default
boolean
Required
Specifies if this configuration is the default setting for the application.
logo
string
| url
URL of the logo image associated with the application configuration.
name
string
The name of the application configuration.
priority
integer
| value >= 1
Required
The priority of this configuration compared to others. Higher priority configurations are given precedence.
slug
string
Required
template_slugs
array of string
A list of template slugs associated with this configuration, representing different templates that the configuration might use.
POST
/service/platform/catalog/v2.0/company/{company_id}/application/{application_id}/product-configuration/{config_type}/groups
Loading...
Response
200
success flag will tell whether the operation was successful.
Hide
Details of the application configuration, including settings, attributes, and metadata.
app_id
string
Unique identifier for the application to which this configuration belongs.
attributes
array of object (AttributeDetailsGroup)
A list of attribute groups associated with the app configuration. Each attribute group defines a set of attributes relevant to the app.
Minimum Items : 1
Show
is_active
boolean
Indicates whether this configuration is currently active for the application.
is_default
boolean
Specifies if this configuration is the default setting for the application.
logo
string
| url
URL of the logo image associated with the application configuration.
name
string
The name of the application configuration.
priority
integer
| value >= 1
The priority of this configuration compared to others. Higher priority configurations are given precedence.
slug
string
template_slugs
array of string
A list of template slugs associated with this configuration, representing different templates that the configuration might use.
Examples
Parameters
company_id:
"1"
application_id:
"dsfnsdfjsdnf32323"
config_type:
"comparisons_groups"
body:
body
Response
Loading...
DEL

Delete group configuration

Delete group configurations by its slug for a specific config_type for a company and an sales channel.
Parameters
company_idpath
string
Required
A `company_id` is a unique identifier for a particular seller account.
application_idpath
string
Required
A `application_id` is a unique identifier for a particular sale channel.
config_typepath
string
Required
A `config_type` is a unique identifier for a particular group configuration type.
Enum
group_slugpath
string
Required
A `group_slug` is a unique identifier of a particular configuration.
DEL
/service/platform/catalog/v2.0/company/{company_id}/application/{application_id}/product-configuration/{config_type}/groups/{group_slug}
Loading...
Response
200
success message will tell whether the operation was successful.
Hide
This object represents the success response for configuration-related operations.
message
string
A message confirming the successful completion of the configuration operation.
Examples
Parameters
company_id:
"1"
application_id:
"dskfndkjfsdfd342"
config_type:
"seller_groups"
group_slug:
"sample-slug"
Response
Loading...
PUT

Update group configuration

Modify group configurations by its slug for specific config_type for a company and an sales channel.
Parameters
company_idpath
string
Required
A `company_id` is a unique identifier for a particular seller account.
application_idpath
string
Required
A `application_id` is a unique identifier for a particular sale channel.
config_typepath
string
Required
A `config_type` is a unique identifier for a particular group configuration type.
Enum
group_slugpath
string
Required
A `group_slug` is a unique identifier of a particular configuration.
Request body
app_id
string
Required
Unique identifier for the application to which this configuration belongs.
attributes
array of object (AttributeDetailsGroup)
A list of attribute groups associated with the app configuration. Each attribute group defines a set of attributes relevant to the app.
Minimum Items : 1
Show
is_active
boolean
Required
Indicates whether this configuration is currently active for the application.
is_default
boolean
Required
Specifies if this configuration is the default setting for the application.
logo
string
| url
URL of the logo image associated with the application configuration.
name
string
The name of the application configuration.
priority
integer
| value >= 1
Required
The priority of this configuration compared to others. Higher priority configurations are given precedence.
slug
string
Required
template_slugs
array of string
A list of template slugs associated with this configuration, representing different templates that the configuration might use.
PUT
/service/platform/catalog/v2.0/company/{company_id}/application/{application_id}/product-configuration/{config_type}/groups/{group_slug}
Loading...
Response
200
success flag will tell whether the operation was successful.
Hide
Details of the application configuration, including settings, attributes, and metadata.
app_id
string
Unique identifier for the application to which this configuration belongs.
attributes
array of object (AttributeDetailsGroup)
A list of attribute groups associated with the app configuration. Each attribute group defines a set of attributes relevant to the app.
Minimum Items : 1
Show
is_active
boolean
Indicates whether this configuration is currently active for the application.
is_default
boolean
Specifies if this configuration is the default setting for the application.
logo
string
| url
URL of the logo image associated with the application configuration.
name
string
The name of the application configuration.
priority
integer
| value >= 1
The priority of this configuration compared to others. Higher priority configurations are given precedence.
slug
string
template_slugs
array of string
A list of template slugs associated with this configuration, representing different templates that the configuration might use.
Examples
Parameters
company_id:
"1"
application_id:
"saknabahsjd6356563"
config_type:
"details_groups"
group_slug:
"sample-slug"
body:
body
Response
Loading...
DEL

Delete listing configuration

Remove a specific product listing configuration by its config_id for a specific config_type for a company and an sales channel.
Parameters
company_idpath
string
Required
A `company_id` is a unique identifier for a particular seller account.
application_idpath
string
Required
A `application_id` is a unique identifier for a particular sale channel.
config_typepath
string
Required
A `config_type` is a unique identifier for a particular listing configuration type.
Enum
config_idpath
string
Required
A `config_id` is a unique identifier of a particular configuration.
DEL
/service/platform/catalog/v2.0/company/{company_id}/application/{application_id}/product-configuration/{config_type}/item/{config_id}/
Loading...
Response
200
success message will tell whether the operation was successful.
Hide
This object represents the success response for configuration-related operations.
message
string
A message confirming the successful completion of the configuration operation.
Examples
Parameters
company_id:
"1"
application_id:
"asdsadasdlkmdjaknd6757"
config_type:
"variant"
config_id:
"asdsa"
Response
Loading...
PUT

Update listing configuration

Modify a specific product listing configuration by its config_id for a specific config_type for a company and an sales channel.
Parameters
company_idpath
string
Required
A `company_id` is a unique identifier for a particular seller account.
application_idpath
string
Required
A `application_id` is a unique identifier for a particular sale channel.
config_typepath
string
Required
A `config_type` is a unique identifier for a particular listing configuration type.
Enum
config_idpath
string
Required
A `config_id` is a unique identifier of a particular configuration.
Request body
app_id
string
Required
Unique identifier for the application.
default_key
string
Required
The default configuration key for the app.
is_active
boolean
Required
Indicates whether the app configuration is currently active.
is_default
boolean
Required
Specifies if this is the default configuration for the app.
key
string
Required
The specific configuration key for the app.
logo
string
| url
URL of the app's logo.
name
string
Name of the application.
priority
integer
| value >= 1
Required
Defines the priority level for this configuration, with 1 being the highest.
weights
object (SortWeights)
Show
cohorts
object (CohortSortingConfiguration)
Show
PUT
/service/platform/catalog/v2.0/company/{company_id}/application/{application_id}/product-configuration/{config_type}/item/{config_id}/
Loading...
Response
200
success flag will tell whether the operation was successful.
Hide
Represents the configuration details of an app, including its active status, default settings, and priority.
app_id
string
Unique identifier for the application.
default_key
string
The default configuration key for the app.
is_active
boolean
Indicates whether the app configuration is currently active.
is_default
boolean
Specifies if this is the default configuration for the app.
key
string
The specific configuration key for the app.
logo
string
| url
URL of the app's logo.
name
string
Name of the application.
priority
integer
| value >= 1
Defines the priority level for this configuration, with 1 being the highest.
weights
object (SortWeights)
Show
cohorts
object (CohortSortingConfiguration)
Show
Examples
Parameters
company_id:
"1"
application_id:
"asndbajsbdkasndlaksdn"
config_type:
"sort"
config_id:
"sample"
body:
body
Response
Loading...
GET

Get configuration metadata

Retrieve the configuraion metadata details for specific config_type for a company and an sales channel.
Parameters
company_idpath
string
Required
A `company_id` is a unique identifier for a particular seller account.
application_idpath
string
Required
A `application_id` is a unique identifier for a particular sale channel.
config_typepath
string
Required
A `config_type` is an identifier that defines a specific type of configuration.
Enum
template_slugquery
string
Get configuration list filtered by `template_slug` string. This is for the details and comparision groups.
page_noquery
integer
The page number to navigate through the given set of results.
page_sizequery
integer
Number of items to retrieve in each page.
qquery
string
Get configuration list filtered by `q` string.
GET
/service/platform/catalog/v2.0/company/{company_id}/application/{application_id}/product-configuration/{config_type}/metadata/
Loading...
Response
200
configuration details for catalog.
Hide
condition
array of object (ConditionItem)
Show
data
array of object (DataItem)
Show
page
object (Page)
Show
values
object (GetConfigMetadataValues)
Show
Examples
Parameters
company_id:
"1"
application_id:
"jkfskdjfnskjdnfks3423"
config_type:
"variant"
template_slug:
"some-slug"
page_no:
1
page_size:
1
q:
"config"
Response
Loading...

Sales Channel Product

Sales channel product is used for management of all the product listed on the sales Channel. Sales channel products refer to all the products that are configured to be sold on your sales channels through your sales channel. With this resource, you can fetch and configure various aspects of Sales channel(application) product configurations, including: Minimum Quantity: Define the minimum quantity required for purchase of the product. Maximum Quantity: Set the maximum quantity that can be purchased for the product. Increment Unit: Specify the unit of increment for quantities, such as individual items or sets. SEO Configuration: Add search engine optimization (SEO) attributes to enhance product visibility and searchability. Cash on Delivery Option: Enable or disable the cash on delivery payment option for the product. Gift Option: Specify whether the product can be purchased as a gift, allowing users to select gift-related options during checkout.

Operations
GET
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/product/{item_id}/
# Get sales channel product
PATCH
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/product/{item_id}/
# Update sales channel product
GET
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/products
# List sales channel products
GET
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/raw-products/
# List sales channel products
GET
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/raw-products/price
# Get prices for specific raw product items
GET

Get sales channel product

Retrieve sales channel product details by its item_id and depending upon filters sent in request.
Parameters
company_idpath
string
Required
A `company_id` is a unique identifier for a particular seller account.
application_idpath
string
Required
A `application_id` is a unique identifier for a particular sale channel.
item_idpath
string
Required
product id for a particular product.
GET
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/product/{item_id}/
Loading...
Response
200
The Company Applicaton Product Data(MOQ/SEO).
Hide
alt_text
object
Alternate text associated with the item, typically for accessibility purposes.
Default Value : [object Object]
is_cod
boolean
Indicates whether Cash on Delivery (COD) is available for this item.
Default Value : true
is_gift
boolean
Indicates whether the item is marked as a gift.
Default Value : false
moq
object (MOQData)
Minimum order quantity (MOQ) details for the item, including minimum units and increment units.
Default Value : [object Object]
Show
seo
object (SEOData)
Search Engine Optimization (SEO) related information, including title, description, sitemap details, and meta tags.
Default Value : [object Object]
Show
_custom_json
object
Custom JSON data for the item, allowing flexibility for additional item-specific information.
_custom_meta
array of object (MetaFields)
An array of custom meta fields associated with the item for extended metadata.
Show
Examples
Parameters
company_id:
1
application_id:
"000000000000000000000001"
item_id:
2
Response
Loading...
PATCH

Update sales channel product

Allows to update data associated to a item by its item_id for a sales channel.
Parameters
company_idpath
integer
Required
A `company_id` is a unique identifier for a particular seller account.
application_idpath
string
Required
A `application_id` is a unique identifier for a particular sale channel.
item_idpath
integer
Required
A `item_id` is a unique identifier for a particular item.
Request body
_custom_json
object
Custom JSON data for the item
_custom_meta
array of object (MetaFields)
Custom meta fields for the item
Show
alt_text
object
Alternative text for the item's images
scores
object (Scores)
Show
is_cod
boolean
Whether the item is available for Cash on Delivery (COD) or not
is_gift
boolean
Whether the item is a gift or not
moq
object (ApplicationItemMOQ)
Minimum Order Quantity information for the item
Show
seo
object (ApplicationItemSEO)
Search Engine Optimization information for the item
Show
size_promotion_threshold
object (SizePromotionThreshold)
Size level promotion limitation information for item
Show
PATCH
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/product/{item_id}/
Loading...
Response
200
Returns a success response
Hide
success
boolean
Indicates whether the operation was successful or not.
uid
integer
A unique identifier associated with the successful operation.
Examples
Parameters
company_id:
1
application_id:
"000000000000000000000001"
item_id:
2
body:
body
Response
Loading...
GET

List sales channel products

Retrieve products associated with the sales channel. List all the products associated with a brand, collection or category in a requested sort order.
Parameters
company_idpath
integer
Required
A `company_id` is a unique identifier for a particular seller account.
application_idpath
string
Required
A `application_id` is a unique identifier for a particular sale channel.
qquery
string
The search query. This can be a partial or complete name of a either a product, brand or category
fquery
string
The search filter parameters. All the parameter filtered from filter parameters will be passed in **f** parameter in this format. **?f=brand:voi-jeans||and:::category:t-shirts||shirts**
cquery
string
The search filter parameters for collection items. All the parameter filtered from filter parameters will be passed in **c** parameter in this format. **?c=brand:in:voi-jeans|and:::category:nin:t-shirts|shirts**
filtersquery
boolean
Pass `filters` parameter to fetch the filter details. This flag is used to fetch all filters
Default Value : true
is_dependentquery
boolean
This query parameter is used to get the dependent products in the listing.
Default Value : true
sort_onquery
string
The order to sort the list of products on. Supported values include latest, popular, price_asc, price_dsc, discount_asc, discount_dsc. Custom sort keys configured via listing configuration (e.g., best_selling) are also supported for cohort-based sorting.
page_idquery
string
Each response will contain **page_id** param, which should be sent back to make pagination work.
page_sizequery
integer
Number of items to retrieve in each page. Default is 12.
Default Value : 12
page_noquery
integer
If page_type is number then pass it to fetch page items. Default is 1.
Default Value : 1
page_typequery
string
For pagination type should be cursor or number. Default is cursor.
Default Value : cursor
Enum
item_idsquery
array of string
Item Ids of product
GET
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/products
Loading...
Response
200
List of Products.
Hide
filters
array of object (ProductFilters)
Show
items
array of object (ApplicationProductsSchema)
Show
operators
object
page
object (Page)
Show
sort_on
array of object (ProductSortOn)
Show
Examples
Parameters
company_id:
1
application_id:
"000000000000000000000001"
q:
"laptop"
f:
"item_code:LGLAPTOPSLEEVE5"
c:
"item_code:in:LGLAPTOPSLEEVE5"
filters:
true
is_dependent:
true
sort_on:
"price_asc"
page_id:
"*"
page_size:
1
page_no:
1
page_type:
"number"
item_ids:
"10"
Response
Loading...
GET

List sales channel products

Retrieve products specific to the sales channel, with filtering options available for brand, category, department, tags, item IDs, product name, and pagination support
Parameters
company_idpath
integer
Required
A `company_id` is a unique identifier for a particular seller account.
application_idpath
string
Required
A `application_id` is a unique identifier for a particular sale channel.
brand_idsquery
array of integer
Get multiple products filtered by Brand Ids
category_idsquery
array of integer
Get multiple products filtered by Category Ids
department_idsquery
array of integer
Get multiple products filtered by Department Ids
tagsquery
array of string
Get multiple products filtered by tags
item_idsquery
array of integer
Get multiple products filtered by Item Ids
page_noquery
integer
The page number to navigate through the given set of results
page_sizequery
integer
Number of items to retrieve in each page. Default is 10.
Default Value : 10
qquery
string
Search with Item Code, Name, Slug or Identifier.
GET
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/raw-products/
Loading...
Response
200
The Product object.
Hide
items
array of object (RawProduct)
A list of raw product items.
Show
page
object (Page)
Show
Examples
Parameters
company_id:
1
application_id:
"655b09a916628f2bf9203e3b"
brand_ids:
1
category_ids:
1
department_ids:
1
tags:
""
item_ids:
1
page_no:
1
page_size:
1
q:
"test"
Response
Loading...
GET

Get prices for specific raw product items

Fetch pricing details for multiple raw products by their item IDs, scoped to a particular company and sales channel.
Parameters
company_idpath
integer
Required
Unique identifier for the seller (company).
application_idpath
string
Required
Unique identifier for the application (sales channel).
item_idsquery
array of integer
Required
List of item IDs for which to retrieve pricing.
GET
/service/platform/catalog/v1.0/company/{company_id}/application/{application_id}/raw-products/price
Loading...
Response
200
Returns a success response
Hide
Schema for representing an item with pricing across multiple zones and currencies.
item_code
string
Unique code identifying the item.
brand_uid
integer
Unique identifier for the brand.
item_id
integer
Unique identifier for the item.
discount_meta
object
Additional discount metadata.
product_price
array of object (ProductPrice)
Pricing information for various zones and currencies.
Show
Examples
Parameters
company_id:
1
application_id:
"67f675f9d2c5f08d0267e8f3"
item_ids:
7500000,7500011
Response
Loading...

Selling Location

A selling location represents a geographical location where your stores, pop-up stores, headquarters, and warehouses exist. Find in-stock locations for products Additionally, the API retrieves detailed location information by ID, offering comprehensive store details for enhanced user convenience

Operations
GET
/service/platform/catalog/v2.0/company/{company_id}/application/{application_id}/locations
# Retrieve stores for a sales channel
GET

Retrieve stores for a sales channel

Retrieve all stores associated with a sales channel, with support for searching by store name and filtering by store type and status.
Parameters
company_idpath
integer
Required
A `company_id` is a unique identifier for a particular seller account.
application_idpath
string
Required
A `application_id` is a unique identifier for a particular sale channel.
store_typequery
string
Helps to sort the location list on the basis of location type.
Enum
uidquery
array of integer
Helps to sort the location list on the basis of uid list.
qquery
string
Query that is to be searched.
stagequery
string
to filter companies on basis of verified or unverified companies.
page_noquery
integer
The page number to navigate through the given set of results
Default Value : 1
page_sizequery
integer
Number of items to retrieve in each page. Default is 20.
Default Value : 20
tagsquery
array of string
Get locations filtered by tags.
store_typesquery
array of string
Get locations filtered by store types.
optedquery
boolean
When true, returns only locations that have at least one document with verified set to true. Locations with an empty documents array are excluded.
GET
/service/platform/catalog/v2.0/company/{company_id}/application/{application_id}/locations
Loading...
Response
200
Company profile object.
Hide
items
array of object (GetLocationSchema)
Show
page
object (Page)
Show
Examples
Parameters
company_id:
1
application_id:
"655b09a916628f2bf9203e3b"
store_type:
"high_street"
uid:
1
q:
"test"
stage:
"verified"
page_no:
1
page_size:
1
tags:
"test"
store_types:
"test"
opted:
true
Response
Loading...